平台特定信息AMS2020

AMS2020.103

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的版本)不保证使用此版本的Amsterdam建模套件2020.请 联系我们 如果您在平台上运行AMS的问题。

机器特定评论

  • 64位窗口:
    视窗 版本已在Windows 10下准备并在Windows 10下进行测试。此版本尚未在旧版本的Windows上进行测试,但它也可能在Windows 7和Vista上工作。 AMS2020与Windows XP不兼容,仅适用于64位Windows安装。请阅读安装和配置Windows上的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。 GUI和Compute引擎的ADF2020的最低支持Glibc版本为2.11。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    AMS2020的Linux Intelmpi分配与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。目前仅在X86-64 Linux Intelmpi版本中提供GPU加速,并使用CUDA 11.0。
  • AMD-ZEN版:针对AMD-ZEN版本优化的AMS2020 Intel MPI是AMD Zen,Zen2和Zen3处理器的针对AVX2指令。这包括所有AMD Ryzen,ThreadRipper和EPYC处理器。它也可以用于支持AVX2指令的其他CPU,但对于英特尔CPU,最好坚持下去“normal”建立。此构建配置为设置“MKL_DEBUG_CPU_TYPE=5”环境变量强制MKL中的AVX2指令路径。
平台 操作系统Fortran编译器C编译器MPI品牌& version数学库
视窗 视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2019.1.1Microsoft Visual C ++ 19.00.23918IntelMPI 2019更新7英特尔MKL 2021.1.1.1.1
视窗
适用于AMD.
视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2019.1.1Microsoft Visual C ++ 19.00.23918IntelMPI 2019更新7英特尔MKL 2019.0.5.
Linux. CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3英特尔MKL 2021.1.1.1.1
Linux. 与OpenMPI.CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.OpenMPI 2.1.2英特尔MKL 2021.1.1.1.1
Linux. for Amd.CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3
英特尔MKL 2019.0.5.
Linux.
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3
与CUDA 11.0.
英特尔MKL 2021.1.1.1.1
英特尔Mac OS XMac OS x 10.13Intel Fortran 2019.1.1Apple LLVM 10.0OpenMPI 2.1.2英特尔MKL 2021.1.1.1.1

AMS2020.102 / 101.

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的版本)不保证使用此版本的Amsterdam建模套件2020.请 联系我们 如果您在平台上运行AMS的问题。

机器特定评论

  • 64位窗口:
    视窗 版本已在Windows 10下准备并在Windows 10下进行测试。此版本尚未在旧版本的Windows上进行测试,但它也可能在Windows 7和Vista上工作。 AMS2020与Windows XP不兼容,仅适用于64位Windows安装。请阅读安装和配置Windows上的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。 GUI和Compute引擎的ADF2020的最低支持Glibc版本为2.11。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    AMS2020的Linux Intelmpi分配与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。目前仅在X86-64 Linux Intelmpi版本中提供GPU加速,并使用CUDA 11.0。
  • AMD-ZEN版:针对AMD-ZEN版本优化的AMS2020 Intel MPI是AMD Zen,Zen2和Zen3处理器的针对AVX2指令。这包括所有AMD Ryzen,ThreadRipper和EPYC处理器。它也可以用于支持AVX2指令的其他CPU,但对于英特尔CPU,最好坚持下去“normal”建立。此构建配置为设置“MKL_DEBUG_CPU_TYPE=5”环境变量强制MKL中的AVX2指令路径。
平台 操作系统Fortran编译器C编译器MPI品牌& version数学库
视窗 视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2019.1.1Microsoft Visual C ++ 19.00.23918IntelMPI 2019更新7英特尔MKL 2020.0.1.
视窗
适用于AMD.
视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2019.1.1Microsoft Visual C ++ 19.00.23918IntelMPI 2019更新7英特尔MKL 2019.0.5.
Linux. CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3英特尔MKL 2020.0.1.
Linux. 与OpenMPI.CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.OpenMPI 2.1.2英特尔MKL 2020.0.1.
Linux. for Amd.CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3
英特尔MKL 2019.0.5.
Linux.
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2019.1.1GCC 6.4.0.IntelMPI 2018更新3
与CUDA 11.0.
英特尔MKL 2020.0.1.
英特尔Mac OS XMac OS x 10.13Intel Fortran 2019.1.1Apple LLVM 10.0OpenMPI 2.1.2英特尔MKL 2020.0.1.

AMS2019.3.

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的)不保证使用2019.3的Amsterdam建模套件的此版本。请 联系我们 如果您在平台上运行AMS的问题。

机器特定评论

  • 64位窗口:
    视窗 版本已在Windows 10下准备并在Windows 7和10下进行测试。此版本尚未在旧版本的Windows上进行测试,但它也可能在Windows Vista上工作。 AMS2019与Windows XP不兼容,仅适用于64位Windows安装。请阅读安装和配置Windows上的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。 ADF2019.3的最低支持GLIBC版本为GUI和Compute引擎是2.11。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    AMS2019.3. 的Linux Intelmpi分配与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。 GPU加速目前仅在X86-64 Linux Intelmpi版本中使用,并使用CUDA 8.0。看看 adf. 用户’有关更多细节的指南.
  • AMD-ZEN版:AMS2019英特尔MPI + MKL用于AMD-ZEN版本的AMD ZEN和ZEN2处理器,具有AVX2指令。这包括所有AMD Ryzen,ThreadRipper和EPYC处理器。它也可以用于支持AVX2指令的其他CPU,但对于英特尔CPU,最好坚持下去“normal”建立。此构建配置为设置“MKL_DEBUG_CPU_TYPE=5”环境变量强制MKL中的AVX2指令路径。
平台 操作系统Fortran编译器C编译器MPI品牌& version
视窗 视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2018.0.3Microsoft Visual C ++ 19.00.23918IntelMPI 2018更新3
PC Linux 64位CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 6.4.0.OpenMPI 2.1.2
IntelMPI 2018更新3
PC Linux 64位
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 6.4.0.IntelMPI 2018更新3
与CUDA 8.0.
英特尔Mac OS XMac OS x 10.13Intel Fortran 2018.0.3Apple LLVM 10.0OpenMPI 2.1.2

AMS2019

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的)不保证使用2019年Amsterdam建模套件的此版本。请 联系我们 如果您在平台上运行AMS的问题。

如果您有源代码并打算编译它,那么您的编译器必须与同一平台上下面列出的编译器兼容。

机器特定评论

  • 64位窗口:
    视窗 版本已在Windows 10下准备并在Windows 7和10下进行测试。此版本尚未在旧版本的Windows上进行测试,但它也可能在Windows Vista上工作。 AMS2019与Windows XP不兼容,仅适用于64位Windows安装。请阅读安装和配置Windows上的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。 ADF2019的最低支持的Glibc版本为GUI和Compute引擎是2.11。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    AMS2019 的Linux Intelmpi分配与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。 GPU加速目前仅在X86-64 Linux Intelmpi版本中使用,并使用CUDA 8.0。看看 adf. 用户’有关更多细节的指南.
  • OpenBlas版本:AMS2019 OpenBlas版本是AMD ZEN处理器的针对AVX2说明。它也可以用于支持AVX2指令的其他CPU,但对于英特尔CPU,最好坚持下去“normal” builds with MKL.
平台 操作系统Fortran编译器C编译器MPI品牌& version
视窗 视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2018.0.3Microsoft Visual C ++ 19.00.23918IntelMPI 2018更新3
PC Linux 64位CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 4.4.7.OpenMPI 2.1.2
IntelMPI 2018更新3
PC Linux 64位
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 4.4.7.IntelMPI 2018更新3
与CUDA 8.0.
PC Linux 64位
与openblas.
CentOS Linux 6.8,
GLIBC 2.12
Intel Fortran,2018.0.3,与OpenBlas 0.2.20GCC 4.4.7.IntelMPI 2018更新3
英特尔Mac OS XMac OS x 10.13Intel Fortran 2018.0.3Apple LLVM 10.0OpenMPI 2.1.2

AMS2018

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的)不保证与2018年的Amsterdam建模套件的发布合作。请 联系我们 如果您在平台上运行AMS的问题。

如果您有源代码并打算编译它,那么您的编译器必须与同一平台上下面列出的编译器兼容。

机器特定评论

  • 64位窗口:
    视窗 版本已在Windows 10下准备并在Windows 7和10下进行测试。此版本尚未在旧版本的Windows上进行测试,但它也可能在Windows Vista上工作。 AMS2018与Windows XP不兼容,仅适用于64位Windows安装。请阅读有关在Windows上安装和配置ADF的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。 GUI和Compute引擎的ADF2018的最低支持Glibc版本为2.11。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    AMS2018 的Linux Intelmpi分布与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。 GPU加速目前仅在X86-64 Linux Intelmpi版本中使用,并使用CUDA 8.0。看看 adf. 用户’有关更多细节的指南.
  • OpenBlas版本:AMS2018 OpenBlas版本是AMD ZEN处理器的针对AVX2说明。它也可以用于支持AVX2指令的其他CPU,但对于英特尔CPU,最好坚持下去“normal” builds with MKL.
平台 操作系统Fortran编译器C编译器MPI品牌& version
视窗 视窗 10 64位,
mingw msys2-20161025
英特尔Fortran,2018.0.3Microsoft Visual C ++ 19.00.23918IntelMPI 2018更新3
PC Linux 64位CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 4.4.7.OpenMPI 2.1.2
IntelMPI 2018更新2
PC Linux 64位
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2018.0.3GCC 4.4.7.IntelMPI 2018更新3
与CUDA 8.0.
PC Linux 64位
与openblas.
CentOS Linux 6.8,
GLIBC 2.12
Intel Fortran,2018.0.3,与OpenBlas 0.2.20GCC 4.4.7.IntelMPI 2018更新3
英特尔Mac OS XMac OS x 10.9Intel Fortran 2018.0.3GCC LLVM 5.1OpenMPI 2.1.2

ADF2017

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(特别是较旧的)不保证使用2017年ADF建模套件的此版本。请 联系我们 如果您在平台上运行ADF的问题。

如果您有源代码并打算编译它,那么您的编译器必须与同一平台上下面列出的编译器兼容。

机器特定评论

  • 视窗 :
    视窗 版本已在Windows 7下准备并在Windows 7和10下测试。此版本尚未在旧版本的Windows上进行测试,但它也应该在Windows Vista上工作。 ADF2017与Windows XP不兼容。请阅读有关在Windows上安装和配置ADF的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。由于ADF2017.112以来的最低支持的GLIBC版本为GUI和Compute引擎。对于ADF2017.111 Glibc版本要求为2.7,但计算引擎只需要Glibc 2.4版。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 6 / Rhel 6年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    ADF2017 的Linux IntelMPI分配与使用克拉机器兼容 mpich abi兼容性.
  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。 GPU加速目前仅在X86-64 Linux Intelmpi版本中使用,并使用CUDA 8.0。看看 adf. 用户’有关更多细节的指南.

ADF2017 .111和旧的编译详情

平台 操作系统fortran90编译器C编译器MPI品牌& version
视窗 视窗 7 64位,
mingw msys2-20161025
英特尔Fortran,15.0.6Microsoft Visual C ++ 16.00.30319.01英特尔-MPI 5.1.2(4.1.3 32位)
PC Linux 64位CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,15.0.6GCC 4.4.7.OpenMPI 2.0.
Intelmpi 5.1.2.150.
PC Linux 64位
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,15.0.6GCC 4.4.7.Intelmpi 5.1.2.150.
与CUDA 8.0.
英特尔Mac OS XMac OS x 10.9英特尔Fortran 15.0.6GCC LLVM 5.1OpenMPI 2.0.

ADF2017 .112和较新的编译详情

平台 操作系统fortran90编译器C编译器MPI品牌& version
视窗 视窗 7 64位,
mingw msys2-20161025
英特尔Fortran,2017.0.5Microsoft Visual C ++ 16.00.30319.01IntelMPI 2018更新2(2017U4 ADF2017.112,4.1.3适用于32位)
PC Linux 64位CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2017.0.5GCC 4.4.7.OpenMPI 2.0.
IntelMPI 2018更新2
PC Linux 64位
与CUDA.
CentOS Linux 6.8,
GLIBC 2.12
英特尔Fortran,2017.0.5GCC 4.4.7.IntelMPI 2017更新4
与CUDA 8.0.
英特尔Mac OS XMac OS x 10.9Intel Fortran 2017.0.5.GCC LLVM 5.1OpenMPI 2.0.

ADF2016

下表显示我们用于准备可执行文件和对象库的平台,编译器和MPI版本。其他版本(尤其是较旧的版本)不保证使用2016年ADF建模套件的此版本。请 联系我们 如果您在平台上运行ADF的问题。

如果您有源代码并打算编译它,那么您的编译器必须与同一平台上下面列出的编译器兼容。

机器特定评论

  • 视窗 :
    视窗 版本已在Windows 7下准备并在Windows 7,8和10下测试。此版本尚未在Windows XP上进行测试,但它也应该在XP SP3上工作。 ADF2013与Windows XP SP2不兼容。请阅读有关在Windows上安装和配置ADF的已知问题列表和重要信息的安装说明。
  • X86-64 Linux.:
    X86-64 Linux版本需要64位处理器和64位操作系统。处理器必须支持SSE2指令。最低支持的Glibc版本为2.3.2。具有早期Glibc版本的用户应升级其系统。如果您的操作系统比CentOS 5 / Rhel 5年龄较大,您也可能会遇到问题。
  • CRAY XT,XE和XC:
    CCL上不支持以下功能:

     

    • DFTB. 不会运行,因为它需要CCL不支持的一些内核呼叫;
    • 运行ADF几何优化使用外部程序生成的强制,例如Reaxff,是不可能的;

    围绕上面的问题努力,可以尝试使用带有克拉的平台-MPI版ADF’S群集兼容模式(CCM)。有关CCM和CCMRUN命令的一个人页面,请参阅CRAY文档。

  • GPU加速版:
    adf. 使用CUDA和NVIDIA Tesla(或泰坦)GPU加速。 GPU加速目前仅在X86-64 Linux版本中提供。看看 adf. 用户’有关更多细节的指南.
平台 操作系统fortran90编译器C编译器MPI品牌& version
视窗 视窗 7 64位,Mingw Msys 1.0.11-20080603英特尔Fortran,15.0.6Microsoft Visual C ++ 16.00.30319.01英特尔-MPI 5.1.1(4.1.3 32位)
PC Linux 64位CentOS Linux 5.11,
GLIBC 2.5
英特尔Fortran,15.0.6 GCC 4.1.2 OpenMPI 1.8.8.
Intelmpi 5.1.1.109
PC Linux 64位
与CUDA.
CentOS Linux 6.6,
GLIBC 2.12
英特尔Fortran,15.0.6GCC 4.4.7.Intelmpi 5.1.1.109
与CUDA 7.5.
英特尔Mac OS XMac OS x 10.9英特尔Fortran 15.0.6GCC LLVM 5.1OpenMPI 1.4.3.